From: "Brian Dolbec" <dolsen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/buildbot-console-view/
Date: Thu, 26 Jul 2018 17:17:22 +0000 (UTC) [thread overview]
Message-ID: <1532625430.44a8be93e7cc4b13c92edb4784831289de9056e5.dolsen@gentoo> (raw)
commit: 44a8be93e7cc4b13c92edb4784831289de9056e5
Author: Brian Dolbec dolsen <dolsen <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 26 17:01:59 2018 +0000
Commit: Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Thu Jul 26 17:17:10 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=44a8be93
dev-util/buildbot-console-view: Version bump to 1.3.0
Package-Manager: Portage-2.3.40, Repoman-2.3.9
dev-util/buildbot-console-view/Manifest | 1 +
.../buildbot-console-view-1.3.0.ebuild | 52 ++++++++++++++++++++++
2 files changed, 53 insertions(+)
diff --git a/dev-util/buildbot-console-view/Manifest b/dev-util/buildbot-console-view/Manifest
index 133e48b3968..ac0799e71c2 100644
--- a/dev-util/buildbot-console-view/Manifest
+++ b/dev-util/buildbot-console-view/Manifest
@@ -1,2 +1,3 @@
DIST buildbot-console-view-0.9.12.tar.gz 640923 BLAKE2B cc0da84395aca571803e73260d826633553ed10ede6d66d112dfa8bcdc4f1bd376695ee0ee4a715f1fa3705329033044d9358731c0b807c54b40b4e32a04f565 SHA512 4a73994c29fe1f78c4432bdb42fe14106b8d7887bb35f2835b203f4818844d3e8d2ea308fc4fb2bd562de302bd7cf6612fe047476512feac068eca3891a49522
DIST buildbot-console-view-1.1.2.tar.gz 640509 BLAKE2B 481b8049e606d47be8b171c24a210d6c95ce13ee4a4d46fd689ee836857e8d054f1799ce53de3931f820f02061cdd0c4a47686cd1724fe1c39ab33ca0f274d76 SHA512 23a14d3264802b2cf9a6a7cab0592c6391dc55a8805c17529c3279b129aaab1df97999ffd5fdc0927e7d5fb204e4114b4672018102381523599310cf7223950f
+DIST buildbot-console-view-1.3.0.tar.gz 640506 BLAKE2B bf68136edbe734514b662a580b9025626b6e0acd48f49ccee979c38d1a2eac13e8fd13bf4c9f62948694ed003de3ee6c44a9d734561a1b5ed4e1d9d330b39f3f SHA512 5b4fa27c8cca57df083c3044729bc6086086dabe819e215b02fe4fda0863b62658925433bbc90d9b38f4309af50b2312b3c9aaefff96a1f62b18d160ca66f205
diff --git a/dev-util/buildbot-console-view/buildbot-console-view-1.3.0.ebuild b/dev-util/buildbot-console-view/buildbot-console-view-1.3.0.ebuild
new file mode 100644
index 00000000000..23b0c0ae9c7
--- /dev/null
+++ b/dev-util/buildbot-console-view/buildbot-console-view-1.3.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+PYTHON_REQ_USE="sqlite"
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+EGIT_REPO_URI="https://github.com/buildbot/buildbot.git"
+
+[[ ${PV} == *9999 ]] && inherit git-r3
+inherit distutils-r1
+
+DESCRIPTION="Buildbot console-view plugin"
+HOMEPAGE="https://buildbot.net/ https://github.com/buildbot/buildbot https://pypi.org/project/buildbot-console-view/"
+
+MY_PV="${PV/_p/.post}"
+MY_P="${PN}-${MY_PV}"
+[[ ${PV} == *9999 ]] || SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+
+if [[ ${PV} == *9999 ]]; then
+ KEYWORDS=""
+else
+ KEYWORDS="~amd64"
+fi
+
+IUSE="test"
+
+RDEPEND="
+ ~dev-util/buildbot-${PV}[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ ~dev-util/buildbot-www-${PV}[${PYTHON_USEDEP}]
+"
+
+DEPEND="${RDEPEND}
+ >=dev-python/setuptools-21.2.1[${PYTHON_USEDEP}]
+"
+
+S="${WORKDIR}/${MY_P}"
+#[[ ${PV} == *9999 ]] && S=${S}/www/base
+
+python_test() {
+ distutils_install_for_testing
+
+ esetup.py test || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+}
next reply other threads:[~2018-07-26 17:17 UTC|newest]
Thread overview: 54+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-07-26 17:17 Brian Dolbec [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-18 7:06 [gentoo-commits] repo/gentoo:master commit in: dev-util/buildbot-console-view/ Arthur Zamarin
2024-10-18 7:06 Arthur Zamarin
2024-03-15 12:29 Jakov Smolić
2024-03-14 19:19 Sam James
2024-03-14 6:22 Sam James
2024-03-14 5:37 Sam James
2024-01-30 8:33 Sam James
2023-08-24 23:34 Brian Dolbec
2023-04-09 8:27 Arthur Zamarin
2023-01-10 13:56 Michał Górny
2022-12-31 15:08 Sam James
2022-09-23 3:00 Brian Dolbec
2022-08-25 23:24 Brian Dolbec
2022-05-30 19:08 Brian Dolbec
2022-05-30 0:11 Brian Dolbec
2022-03-14 10:32 Yixun Lan
2022-01-30 18:47 Arthur Zamarin
2022-01-28 11:16 Arthur Zamarin
2021-09-25 18:08 Brian Dolbec
2021-06-20 16:07 Brian Dolbec
2021-05-02 0:19 Brian Dolbec
2021-04-25 21:13 Brian Dolbec
2021-03-28 22:16 Brian Dolbec
2021-01-29 21:46 Brian Dolbec
2021-01-17 18:51 Brian Dolbec
2020-10-10 18:56 Brian Dolbec
2020-09-18 17:20 Michał Górny
2020-06-28 0:46 Brian Dolbec
2020-06-01 22:57 Brian Dolbec
2020-05-12 18:15 Brian Dolbec
2020-02-04 13:10 Michał Górny
2018-07-26 17:17 Brian Dolbec
2018-06-27 15:24 Brian Dolbec
2018-05-17 0:33 Brian Dolbec
2018-03-13 23:56 Brian Dolbec
2018-03-13 23:56 Brian Dolbec
2018-01-16 17:43 Brian Dolbec
2017-11-23 21:21 Brian Dolbec
2017-10-27 2:29 Brian Dolbec
2017-09-15 17:41 Brian Dolbec
2017-08-10 22:00 Brian Dolbec
2017-06-19 18:33 Brian Dolbec
2017-05-16 2:10 Brian Dolbec
2017-02-10 21:52 Brian Dolbec
2017-02-02 0:23 Brian Dolbec
2017-01-13 2:26 Brian Dolbec
2017-01-13 0:04 Brian Dolbec
2017-01-06 0:48 Brian Dolbec
2016-11-08 20:02 Brian Dolbec
2016-10-07 20:18 Brian Dolbec
2016-09-23 18:52 Brian Dolbec
2016-09-01 17:14 Brian Dolbec
2016-08-09 23:52 Brian Dolbec
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1532625430.44a8be93e7cc4b13c92edb4784831289de9056e5.dolsen@gentoo \
--to=dolsen@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox